
CREATE TABLE Requests (
  RequestId int(11) NOT NULL,
  CustomerID int(11) NOT NULL,
  RequestTotal decimal(9,2) NOT NULL,
  CustomerExists bit(1) NOT NULL,
  FileID CHAR(50) NOT NULL,
  DateExecution DATE NOT NULL,
  TimeExecution TIME NOT NULL,
  UNIQUE KEY KRequests1 (RequestId,FileID,DateExecution,TimeExecution)
);

CREATE TABLE RequestItems (
  RequestID int(11) NOT NULL,
  ProductCode char(15) NOT NULL,
  ProductName char(50) NOT NULL,
  Quantity int(11) NOT NULL,
  RequestPrice decimal(9,2) NOT NULL,
  Status bit(1) NOT NULL,
  FileID CHAR(50) NOT NULL,
  DateExecution DATE NOT NULL,
  TimeExecution TIME NOT NULL,
  UNIQUE KEY KRequestItems1 (RequestId,ProductCode,FileID,DateExecution,TimeExecution)
);

