
CREATE TABLE Requests (
  RequestId Number(5) NOT NULL,
  CustomerID Number(5) NOT NULL,
  RequestTotal decimal(9,2) NOT NULL,
  CustomerExists Number(1) NOT NULL,
  FileID CHAR(50) NOT NULL,
  DateExecution DATE NOT NULL,
  TimeExecution CHAR(8) NOT NULL
);
CREATE UNIQUE INDEX KRequests1 ON Requests (RequestId,FileID,DateExecution,TimeExecution);


CREATE TABLE RequestItems (
  RequestID Number(5) NOT NULL,
  ProductCode char(15) NOT NULL,
  ProductName char(50) NOT NULL,
  Quantity Number(5) NOT NULL,
  RequestPrice decimal(9,2) NOT NULL,
  Status Number(1) NOT NULL,
  FileID CHAR(50) NOT NULL,
  DateExecution DATE NOT NULL,
  TimeExecution CHAR(8) NOT NULL
);
CREATE UNIQUE INDEX KRequestItems1 ON RequestItems (RequestId,ProductCode,FileID,DateExecution,TimeExecution);

